using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFFileMap : APTEntityBaseMap<T_PF_FILE>
	{
		public override void Configure(EntityTypeBuilder<T_PF_FILE> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.FILE_NAME).HasMaxLength(200);
			builder.Property(t => t.FILE_TYPE).HasMaxLength(100);
            builder.Property(t => t.FILE_PATH).HasMaxLength(200);
		} 

	}
}
